# hostname – Manage hostname

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Set system’s hostname, supports most OSs/Distributions, including those using systemd.
- Note, this module does NOT modify `/etc/hosts`. You need to modify it yourself using other modules like template or replace.
- Windows, HP-UX and AIX are not currently supported.

## Requirements

The below requirements are needed on the host that executes this module.

- hostname

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Name of the host

use
-
added in 2.9

Choices:
- generic
- debian
- sles
- redhat
- alpine
- systemd
- openrc
- openbsd
- solaris
- freebsd

Which strategy to use to update the hostname.
If not set we try to autodetect, but this can be problematic, specially with containers as they can present misleading information.

## Examples

    - hostname:
        name: web01

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Adrian Likins (@alikins)
- Hideki Saito (@saito-hideki)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.